Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Interface UserInfo

All Superinterfaces:
  Principal, Serializable

All Known Implementing Classes:
  CachingRealm.CaseInsensitiveUserInfo, DefaultUserInfoImpl

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public interface UserInfo
extends Principal, Serializable

UserInfo objects are created by a RealmProxy and passed to the T3Client constructor. They are transmitted to the WebLogic Server, where the corresponding realm retrieves the corresponding user and checks it against the provided information.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `serialVersionUID` Deprecated.

Method Summary
`String` | `getName()` Deprecated. Returns the name associated with a UserInfo.
`String` | `getRealmName()` Deprecated. Returns the realm name associated with a UserInfo.

Methods inherited from interface java.security.Principal
`equals, hashCode, toString`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getName

    public String getName()

  Deprecated.
  Returns the name associated with a UserInfo.

  Specified by:
    `getName` in interface `Principal`
  Returns:
    String username

### getRealmName

    public String getRealmName()

  Deprecated.
  Returns the realm name associated with a UserInfo.

  Returns:
    String realm name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD